commit ff3e026ef4c075559d2522f670a1a2ca0ebe4fda
Author: jklowden <jklowden>
Date:   Wed Jan 7 02:58:37 2009 +0000

    organized fakepoll like the other replacements

diff --git a/include/replacements.h b/include/replacements.h
index 7bf761a..0756b1a 100644
--- a/include/replacements.h
+++ b/include/replacements.h
@@ -20,7 +20,7 @@
 #ifndef _replacements_h_
 #define _replacements_h_
 
-/* $Id: replacements.h,v 1.18 2007/12/21 09:06:53 freddy77 Exp $ */
+/* $Id: replacements.h,v 1.19 2009/01/07 02:58:37 jklowden Exp $ */
 
 #include <stdarg.h>
 #include "tds_sysdep_public.h"
@@ -46,11 +46,13 @@
 #ifdef __cplusplus
 extern "C"
 {
-#if 0
-}
-#endif
 #endif
 
+#if !HAVE_POLL
+#include fakepoll.h
+#define poll(fds, nfds, timeout) fakepoll((fds), (nfds), (timeout))
+#endif /* !HAVE_POLL */
+
 #if defined(HAVE__VSNPRINTF) && !defined(HAVE_VSNPRINTF)
 #undef vsnprintf
 #define vsnprintf _vsnprintf
@@ -97,9 +99,6 @@ int gettimeofday (struct timeval *tv, void *tz);
 #endif
 
 #ifdef __cplusplus
-#if 0
-{
-#endif
 }
 #endif
 
diff --git a/src/replacements/Makefile.am b/src/replacements/Makefile.am
index ab13b33..3d9e5e2 100644
--- a/src/replacements/Makefile.am
+++ b/src/replacements/Makefile.am
@@ -1,7 +1,7 @@
-# $Id: Makefile.am,v 1.14 2008/12/20 06:01:47 jklowden Exp $
+# $Id: Makefile.am,v 1.15 2009/01/07 02:58:37 jklowden Exp $
 AM_CPPFLAGS=			-I$(top_srcdir)/include -I$(top_srcdir)/src/replacements
 noinst_LTLIBRARIES=		libreplacements.la
-libreplacements_la_SOURCES=	iconv.c gettimeofday.c fakepoll.c fakepoll.h
+libreplacements_la_SOURCES=	iconv.c gettimeofday.c fakepoll.c
 libreplacements_la_LDFLAGS=
 libreplacements_la_LIBADD=	@LTLIBOBJS@
 EXTRA_DIST=	asprintf.c \

